version: '2'

services:
  mongo:
    image: mongo
    volumes:
    - ./chat/data/db:/data/db
    - ./chat/data/dump:/dump
    tty: true
    command:
    - mongod
    - --smallfiles
    - --oplogSize
    - '128'
 
  rocketchat:
    image: rocketchat/rocket.chat:latest
    depends_on:
      - mongo
    environment:
      MONGO_URL: 'mongodb://mongo:27017/rocketchat'
      PORT: '3000'
      ROOT_URL: 'http://localhost:3000'
    volumes:
      - ./chat/uploads:/app/uploads
    ports:
      - '3000:3000'

  hubot:
     build:
       context: .
       dockerfile: ./Dockerfile
     depends_on:
       - rocketchat
     environment:
       ROCKETCHAT_URL: 'http://rocketchat:3000'
       ROCKETCHAT_ROOM: GENERAL
       RESPOND_TO_DM: 'true'
       RESPOND_TO_LIVECHAT: 'true'
       ROCKETCHAT_USER: hubot 
       ROCKETCHAT_PASSWORD: hubot
       ROCKETCHAT_AUTH: password

